<div class="container">
    <div class="col">
        <div class="well-title">
            <h3>Add an Appointment</h3>
        </div>
        <form>
            <!-- Form start -->
            <div class="col">
                
                <!-- Text input-->
                <div class=".col-md-3">
                    <div class="form-group">
                        <label class="control-label" for="date">Date</label>
                        <input class="form-control input-md" [(ngModel)]="appt.date" id="date" name="date" type="date" placeholder="Date" >
                    </div>
                </div>
                <!-- Select Basic -->
                <div class=".col-md-3">
                    <div class="form-group">
                        <label class="control-label" for="time">Time</label>
                        <select class="form-control"[(ngModel)]="appt.time" id="time" name="time" >
                            <option value="8:00 to 9:00">8:00 to 9:00</option>
                            <option value="9:00 to 10:00">9:00 to 10:00</option>
                            <option value="10:00 to 11:00">10:00 to 11:00</option>
                            <option value="13:00 to 14:00">13:00 to 14:00</option>
                            <option value="14:00 to 15:00">14:00 to 15:00</option>
                            <option value="15:00 to 16:00">15:00 to 16:00</option>
                            <option value="16:00 to 17:00">16:00 to 17:00</option>
                        </select>
                    </div>
                </div>
                <!-- Select Basic -->
                <div class=".col-md-3">
                    <div class="form-group">
                        <label class="control-label" for="location">Location Id</label>
                        <select class="form-control" [(ngModel)]="appt.location.id" id="location" name="location" >
                            <option *ngFor="let location of locations" [value]="location.id"><b>Location#{{location.id}}:</b>{{location.address}},{{location.city}},{{location.state}}</option>
                        </select>
                        
                    </div>
                </div>

                <li *ngIf="errorMessage">{{errorMessage}}</li>
                <!-- Select input-->
                <div class=".col-md-3">
                    <div class="form-group">
                        <label class="control-label" for="vaccineMFR">vaccine manufacturer</label>
                        <select class="form-control" [(ngModel)]="appt.vaccineMfr" id="vaccineMFR" name="vaccineMFR">
                            <option value= "pflizer">pflizer</option>
                            <option value= "Moderna">Moderna</option>
                            <option value= "AstraZeneca">AstraZeneca</option>
                            <option value= "Johnson & Johnson">Johnson & Johnson</option>
                        </select>
                    </div>
                </div>
                <!-- Button -->
                <div class="col-xs-2">
                    <div class="form-group">
                        
                        <input class="btn btn-success" type="submit" value="Add New" (click)="createAppt()">
                    </div>
                </div>
            </div>
        </form>
        <div *ngIf="message">{{message}}</div>
        <!-- form end -->

    </div>
    
</div>

